<?php  
	include("datos_sistema.php");
    if (isset($_GET['id_matricula']) && is_numeric($_GET['id_matricula'])) {
        $id = $_GET['id_matricula'];
        // Usa una consulta preparada
        $sql_matricula = "SELECT * FROM matriculas WHERE id_matricula = '$id'";
        $querymatricula = mysqli_query($con, $sql_matricula);
        $row_matricula = mysqli_fetch_assoc($querymatricula);
        $id_alumno = $row_matricula['id_alumno'];
        $sql_matriculapagada = "UPDATE alumnos 
                 SET matricula_pagada = 'No'
                 WHERE id_alumno = '$id_alumno'";
        $resultado_matriculapagada = mysqli_query($con, $sql_matriculapagada) or die(mysqli_error($con));

        $actualizar = "UPDATE matriculas SET estado = 'Eliminado' WHERE id_matricula = ?";
        $resultado = mysqli_prepare($con, $actualizar);


        // Vincula el parámetro
        mysqli_stmt_bind_param($resultado, "i", $id);
        // Ejecuta la consulta
        mysqli_stmt_execute($resultado);
        // Verifica si se afectaron filas
        if (mysqli_stmt_affected_rows($resultado) > 0) {
            $succ="succ";
            header("Location:tabla_matriculas.php?client=$succ");
        } else {
            $succ="err";
            header("Location:tabla_matriculas.php?client=$succ");
        }
        // Cierra la declaración
        mysqli_stmt_close($resultado);
    }
    mysqli_close($con);
?>